curl "https://api.xenarch.dev/v1/payments/history?wallet=0x1234567890abcdef1234567890abcdef12345678&domain=example.com&limit=10"
[
{
"url": "/premium-article",
"domain": "example.com",
"amount_usd": "0.0030",
"tx_hash": "0x8f2a9c4e1b7d3f6a0c5e8b2d4f7a1c3e6b9d2f5a8c1e4b7d0a3f6c9e2b5d8a1f",
"paid_at": "2026-11-17T15:02:11Z"
}
]
Payments
Payment History
Get the x402 gate payments made by a wallet: URL, domain, USDC amount, Base transaction hash and time for each payment.
GET
/
v1
/
payments
/
history
curl "https://api.xenarch.dev/v1/payments/history?wallet=0x1234567890abcdef1234567890abcdef12345678&domain=example.com&limit=10"
[
{
"url": "/premium-article",
"domain": "example.com",
"amount_usd": "0.0030",
"tx_hash": "0x8f2a9c4e1b7d3f6a0c5e8b2d4f7a1c3e6b9d2f5a8c1e4b7d0a3f6c9e2b5d8a1f",
"paid_at": "2026-11-17T15:02:11Z"
}
]
curl "https://api.xenarch.dev/v1/payments/history?wallet=0x1234567890abcdef1234567890abcdef12345678&domain=example.com&limit=10"
[
{
"url": "/premium-article",
"domain": "example.com",
"amount_usd": "0.0030",
"tx_hash": "0x8f2a9c4e1b7d3f6a0c5e8b2d4f7a1c3e6b9d2f5a8c1e4b7d0a3f6c9e2b5d8a1f",
"paid_at": "2026-11-17T15:02:11Z"
}
]
Query parameters
| Parameter | Type | Description |
|---|---|---|
wallet | string | Payer wallet address, 0x followed by 40 hex characters. Required |
domain | string | Filter by domain (optional) |
limit | integer | Max results, 1 to 100 (default 10) |